﻿#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

using ll = long long;
using pii = pair<int, int>;
using pll = pair<ll, ll>;

void solve() {
	vector<int> a(6);
	for (int i = 0; i < 6; i++) {
		cin >> a[i];
	}

	sort(a.begin(), a.end());

	vector<int> sm;
	for (int i = 0; i < 3; i++) {
		sm.push_back(a[i] + a[5 - i]);
	}

	for (int i = 1; i < sm.size(); i++) {
		if (sm[i] != sm[i - 1]) {
			cout << "no";
			return;
		}
	}

	cout << "yes";
}

int main() {
	ios_base::sync_with_stdio(false);
	cout.tie(0);
	cin.tie(0);

	int n;
	cin >> n;
	
	while (n--) {
		solve();
	}

}
