﻿#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

using ll = long long;
using pii = pair<int, int>;
using pll = pair<ll, ll>;

vector<char> plus_s(string a, string b) {
	vector<char> ans;
	int ind = 0;

	while (ind < a.size() && ind < b.size()) {
		ans.push_back(max(a[a.size() - 1 - ind], b[b.size() - 1 - ind]));
		ind++;
	}

	while (ind < a.size()) {
		ans.push_back(a[a.size() - 1 - ind]);
		ind++;
	}

	while (ind < b.size()) {
		ans.push_back(b[b.size() - 1 - ind]);
		ind++;
	}

	reverse(ans.begin(), ans.end());

	return ans;
}

int main() {
	ios_base::sync_with_stdio(false);
	cout.tie(0);
	cin.tie(0);

	string a, b;
	cin >> a >> b;

	vector<char> tmp = plus_s(a, b);

	for (auto i : tmp) {
		cout << i;
	}

	cout << ' ';

	vector<vector<char>> vec;

	for (int i = 0; i < b.size(); i++) {
		vector<char> tmp;
		for (int j = 0; j < a.size(); j++) {
			tmp.push_back(min(a[j], b[i]));
		}

		vec.push_back(tmp);
	}

	reverse(vec.begin(), vec.end());

	vector<string> use;

	for (int i = 0; i < vec.size(); i++) {
		vector<char> t;
		for (int j = 0; j < vec.size() - 1 - i; j++) {
			t.push_back('0');
		}

		for (auto j : vec[i]) {
			t.push_back(j);
		}

		for (int j = 0; j < (vec.size() - 1) - (vec.size() - 1 - i); j++) {
			t.push_back('0');
		}

		vec[i] = t;

		string s = "";

		for (auto j : vec[i]) {
			s += j;
		}

		use.push_back(s);
	}

	string s = use.front();

	for (int i = 1; i < use.size(); i++) {
		vector<char> v = plus_s(s, use[i]);

		string tmp = "";
		for (auto j : v) {
			tmp += j;
		}

		s = tmp;
	}

	cout << s;

}
